package com.yonge.toolset.payment.core.props;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "payment")
public class PaymentProperties {
    /***
     * 支付服务提供方
     * @author liweifan
     * @updateTime 2022/5/11 17:01
     */
    private String openType;

    /***
     * 支付回调url
     * @author liweifan
     * @updateTime 2022/5/11 17:01
     */
    private String notifyUrl;

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }
}
